Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 589773 - Fedora 13 Alpha x86_64 TEXT mode installation through Serial console generates bug even before starting to format default partitioning Layout
Fedora 13 Alpha x86_64 TEXT mode installation through Serial console generate...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
x86_64 All
low Severity urgent
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 16:51 EDT by IBM Bug Proxy
Modified: 2010-06-16 12:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 590653 (view as bug list)
Environment:
Last Closed: 2010-05-12 04:37:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Text Mode (Default Paritioning Layout, default Packages) Anaconda bug report pre-installation (345.44 KB, text/plain)
2010-05-06 16:51 EDT, IBM Bug Proxy
no flags Details
Bug Report during default text mode installation (559.90 KB, text/plain)
2010-05-06 16:51 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 61716 None None None Never

  None (edit)
Description IBM Bug Proxy 2010-05-06 16:51:34 EDT
While trying to install Fedora 13 Alpha x86_64(text installation) through Serial console (as
parallel console has some problem), a bug is generated even before the default partitioning layout
can be created.

**Note that the serial console VNC installation also has problems similar to PPC64 and is tracked
through: https://bugzilla.linux.ibm.com/show_bug.cgi?id=61364,

Kernel Boot parameters used:
askmethod serial

Attaching the Anaconda Bug report.

Machine Info:
mx3650b.in.ibm.com (sdb only),
Model: 7979,
platform: x86_64,
Serial No: 99k1161,
Comment 1 IBM Bug Proxy 2010-05-06 16:51:48 EDT
Created attachment 412167 [details]
Text Mode (Default Paritioning Layout, default Packages) Anaconda bug report pre-installation
Comment 2 IBM Bug Proxy 2010-05-06 16:51:58 EDT
Created attachment 412168 [details]
Bug Report during default text mode installation
Comment 3 Hans de Goede 2010-05-10 08:26:31 EDT
Hi,

Thanks for the report, I've send a patch fixing this to mailing list for
review. I'll update this bug report once the patch is reviewed.

As a workaround you can add a console= argument to the cmdline such as:
console=ttyS0,115200n8

Thanks & Regards,

Hans
Comment 4 Hans de Goede 2010-05-12 04:37:59 EDT
This is fixed for F-14 by this commit:
http://git.fedorahosted.org/git?p=anaconda.git;a=commitdiff;h=4501fa3a0c872223f8c0efb3a20b745b60692b4c

For F-13, as a workaround, you can add a console= argument to the cmdline such as:
console=ttyS0,115200n8
Comment 5 IBM Bug Proxy 2010-06-16 12:56:16 EDT
------- Comment From edpollar@linux.ibm.com 2010-06-16 12:02 EDT-------
reassigning QA...

Note You need to log in before you can comment on or make changes to this bug.